[Solved] Automatic updates aren't being applied

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
Rua
Level 3
Level 3
Posts: 154
Joined: Sat Sep 17, 2011 11:09 am
Location: Netherlands

[Solved] Automatic updates aren't being applied

Post by Rua »

I have automatic updates enabled, but for some reason they aren't being applied and remain available as updates. According to this command, they should be scheduled daily:

Code: Select all

rua@rua-desktop ~ $ systemctl status mintupdate-automation-upgrade.timer
● mintupdate-automation-upgrade.timer - Update Manager automatic upgrades
   Loaded: loaded (/lib/systemd/system/mintupdate-automation-upgrade.timer; enabled; vendor preset: enabled)
   Active: active (waiting) since Sun 2020-04-19 10:06:48 CEST; 1h 21min ago
  Trigger: Mon 2020-04-20 00:07:50 CEST; 12h left

Apr 19 10:06:48 rua-desktop systemd[1]: Started Update Manager automatic upgrades.
But despite that, the updates that were available yesterday are still there today. What's going on?
Last edited by Rua on Sat Apr 25, 2020 5:19 am, edited 1 time in total.
User avatar
Pierre
Level 20
Level 20
Posts: 10931
Joined: Fri Sep 05, 2008 5:33 am
Location: Perth, AU.

Re: Automatic updates aren't being applied

Post by Pierre »

if you then Manually then Update the System,
- will any further updates, then go through, Automatically ?.
Image
Please edit your original post title to include [SOLVED] - when your problem is solved!
and DO LOOK at those Unanswered Topics - - you may be able to answer some!.
Rua
Level 3
Level 3
Posts: 154
Joined: Sat Sep 17, 2011 11:09 am
Location: Netherlands

Re: Automatic updates aren't being applied

Post by Rua »

I recall that not working before, but I've just applied everything myself. We'll see what happens.
User avatar
AZgl1500
Level 14
Level 14
Posts: 5282
Joined: Thu Dec 31, 2015 3:20 am
Location: Oklahoma where the wind comes sweeping down the plains
Contact:

Re: Automatic updates aren't being applied

Post by AZgl1500 »

on my previous laptop, I used a Cron Tab job and it never missed.

this was in 18.3 Cinnamon, but suspicion the rules are the same:


using the crontab job file to setup Automatic Updates
sudo crontab -e - creates and opens a root crontab in the default CLI text editor.
_______________________________________
Mon Aug 6 08:32:15 CDT 2018 as of today, this is my crontab job file:

# email to the user the crontab file belongs to (unless redirected).
#
# For example, you can run a backup of all your user accounts
# at 5 a.m every week with:
# 0 5 * * 1 tar -zcf /var/backups/home.tgz /home/
#
# For more information see the manual pages of crontab(5) and cron(8)
#
# m h dom mon dow command

PATH="/usr/bin:/bin:/usr/local/bin:/usr/sbin:/sbin:/usr/local/sbin"

0 12 * * * cat /home/john/add-line >> /home/john/mintupdatetoolcron.log

1 12 * * * date >> /home/john/mintupdatetoolcron.log

2 12 * * * mintupdate-tool -r -l 1234 -y -s -nk upgrade >> /home/john/mintupdatetoolcron.log

0 18 * * * date >> /home/john/fstrim.log

5 18 * * * sudo fstrim -a -v >> /home/john/fstrim.log


=======================

if you read close, had it keep a log of what updates were done on a specific day.
it worked like a charm.... thanks to some great Gurus on this forum.
Linux Mint 19.3 Cinnamon
Rua
Level 3
Level 3
Posts: 154
Joined: Sat Sep 17, 2011 11:09 am
Location: Netherlands

Re: Automatic updates aren't being applied

Post by Rua »

I waited a few days, and since then new updates have accumulated, none of them being applied. So manually applying didn't fix the problem.

What I do notice is that the trigger time for the updates (as in the output in the first message) is always somewhere just after midnight. The computer is always off by that time, so could that be why it's not doing anything?
Rua
Level 3
Level 3
Posts: 154
Joined: Sat Sep 17, 2011 11:09 am
Location: Netherlands

Re: Automatic updates aren't being applied

Post by Rua »

I found /var/log/mintupdate.log and it seems to have some useful information.

This is when I turned on the computer today:
-- Automatic Upgrade starting Thu 23 Apr 2020 09:58:52 CEST:
Error: mint-refresh-cache could not update the cache.

Reading package lists...
Building dependency tree...
Reading state information...
Suggested packages:
binutils-doc arj lha lzip lzop ncompress rpm2cpio rzip sharutils unace unalz
unar zoo git-daemon-run | git-daemon-sysvinit git-doc git-el git-email
git-gui gitk gitweb git-cvs git-mediawiki git-svn libwebkit2gtk-4.0-37-gtk2
fonts-dejavu-extra fonts-ipafont-gothic fonts-ipafont-mincho
fonts-wqy-microhei | fonts-wqy-zenhei pavumeter pavucontrol paman paprefs
ubuntu-sounds python2.7-doc binfmt-support python3.6-venv python3.6-doc
Recommended packages:
libatk-wrapper-java-jni fonts-dejavu-extra
The following packages will be upgraded:
binutils binutils-common binutils-x86-64-linux-gnu file-roller
gir1.2-javascriptcoregtk-4.0 gir1.2-json-1.0 gir1.2-webkit2-4.0 git git-man
libbinutils libjavascriptcoregtk-4.0-18 libjson-glib-1.0-0
libjson-glib-1.0-common libpulse-mainloop-glib0 libpulse0 libpulse0:i386
libpulsedsp libpython2.7 libpython2.7-minimal libpython2.7-stdlib
libpython3.6 libpython3.6-minimal libpython3.6-stdlib libwebkit2gtk-4.0-37
openjdk-11-jre openjdk-11-jre-headless pulseaudio
pulseaudio-module-bluetooth pulseaudio-utils python2.7 python2.7-minimal
python3.6 python3.6-minimal
33 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 74,7 MB of archives.
After this operation, 12,3 kB disk space will be freed.
Err:1 http://security.ubuntu.com/ubuntu bionic-security/main amd64 openjdk-11-jre amd64 11.0.7+10-2ubuntu2~18.04
Could not resolve 'security.ubuntu.com'
Ign:2 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpython3.6 amd64 3.6.9-1~18.04ubuntu1
Err:3 http://security.ubuntu.com/ubuntu bionic-security/main amd64 openjdk-11-jre-headless amd64 11.0.7+10-2ubuntu2~18.04
Could not resolve 'security.ubuntu.com'
Ign:4 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpython3.6-minimal amd64 3.6.9-1~18.04ubuntu1
Err:2 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 libpython3.6 amd64 3.6.9-1~18.04ubuntu1
Could not resolve 'mirror.nforce.com'
Ign:5 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpython3.6-stdlib amd64 3.6.9-1~18.04ubuntu1
Err:4 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 libpython3.6-minimal amd64 3.6.9-1~18.04ubuntu1
Could not resolve 'mirror.nforce.com'
Ign:6 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 python3.6-minimal amd64 3.6.9-1~18.04ubuntu1
Err:5 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 libpython3.6-stdlib amd64 3.6.9-1~18.04ubuntu1
Could not resolve 'mirror.nforce.com'
Ign:7 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 python3.6 amd64 3.6.9-1~18.04ubuntu1
Err:6 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 python3.6-minimal amd64 3.6.9-1~18.04ubuntu1
Could not resolve 'mirror.nforce.com'
Ign:8 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpython2.7 amd64 2.7.17-1~18.04ubuntu1
Err:7 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 python3.6 amd64 3.6.9-1~18.04ubuntu1
Could not resolve 'mirror.nforce.com'
Ign:9 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 python2.7 amd64 2.7.17-1~18.04ubuntu1
Ign:10 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpython2.7-stdlib amd64 2.7.17-1~18.04ubuntu1
Err:8 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 libpython2.7 amd64 2.7.17-1~18.04ubuntu1
Could not resolve 'mirror.nforce.com'
Ign:11 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 python2.7-minimal amd64 2.7.17-1~18.04ubuntu1
Ign:12 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpython2.7-minimal amd64 2.7.17-1~18.04ubuntu1
Err:9 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 python2.7 amd64 2.7.17-1~18.04ubuntu1
Could not resolve 'mirror.nforce.com'
Ign:13 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libjson-glib-1.0-common all 1.4.2-3ubuntu0.18.04.1
Err:10 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 libpython2.7-stdlib amd64 2.7.17-1~18.04ubuntu1
Could not resolve 'mirror.nforce.com'
Err:14 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libjson-glib-1.0-0 amd64 1.4.2-3ubuntu0.18.04.1
Could not resolve 'mirror.nforce.com'
Err:11 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 python2.7-minimal amd64 2.7.17-1~18.04ubuntu1
Could not resolve 'mirror.nforce.com'
Ign:15 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 binutils-x86-64-linux-gnu amd64 2.30-21ubuntu1~18.04.3
Err:12 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 libpython2.7-minimal amd64 2.7.17-1~18.04ubuntu1
Could not resolve 'mirror.nforce.com'
Ign:16 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 binutils-common amd64 2.30-21ubuntu1~18.04.3
Err:15 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 binutils-x86-64-linux-gnu amd64 2.30-21ubuntu1~18.04.3
Could not resolve 'mirror.nforce.com'
Ign:17 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 binutils amd64 2.30-21ubuntu1~18.04.3
Ign:18 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libbinutils amd64 2.30-21ubuntu1~18.04.3
Err:16 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 binutils-common amd64 2.30-21ubuntu1~18.04.3
Could not resolve 'mirror.nforce.com'
Ign:19 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 file-roller amd64 3.28.0-1ubuntu1.2
Err:17 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 binutils amd64 2.30-21ubuntu1~18.04.3
Could not resolve 'mirror.nforce.com'
Ign:20 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libwebkit2gtk-4.0-37 amd64 2.28.1-0ubuntu0.18.04.1
Err:18 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 libbinutils amd64 2.30-21ubuntu1~18.04.3
Could not resolve 'mirror.nforce.com'
Ign:21 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libjavascriptcoregtk-4.0-18 amd64 2.28.1-0ubuntu0.18.04.1
Err:19 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 file-roller amd64 3.28.0-1ubuntu1.2
Could not resolve 'mirror.nforce.com'
Ign:22 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 gir1.2-webkit2-4.0 amd64 2.28.1-0ubuntu0.18.04.1
Err:20 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 libwebkit2gtk-4.0-37 amd64 2.28.1-0ubuntu0.18.04.1
Could not resolve 'mirror.nforce.com'
Ign:23 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 gir1.2-javascriptcoregtk-4.0 amd64 2.28.1-0ubuntu0.18.04.1
Err:21 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 libjavascriptcoregtk-4.0-18 amd64 2.28.1-0ubuntu0.18.04.1
Could not resolve 'mirror.nforce.com'
Err:24 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 gir1.2-json-1.0 amd64 1.4.2-3ubuntu0.18.04.1
Could not resolve 'mirror.nforce.com'
Err:22 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 gir1.2-webkit2-4.0 amd64 2.28.1-0ubuntu0.18.04.1
Could not resolve 'mirror.nforce.com'
Ign:25 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 git-man all 1:2.17.1-1ubuntu0.7
Err:23 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 gir1.2-javascriptcoregtk-4.0 amd64 2.28.1-0ubuntu0.18.04.1
Could not resolve 'mirror.nforce.com'
Ign:26 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 git amd64 1:2.17.1-1ubuntu0.7
Err:27 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 pulseaudio-module-bluetooth amd64 1:11.1-1ubuntu7.5
Could not resolve 'mirror.nforce.com'
Err:26 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 git amd64 1:2.17.1-1ubuntu0.7
Could not resolve 'mirror.nforce.com'
Err:28 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 pulseaudio amd64 1:11.1-1ubuntu7.5
Could not resolve 'mirror.nforce.com'
Err:29 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 pulseaudio-utils amd64 1:11.1-1ubuntu7.5
Could not resolve 'mirror.nforce.com'
Err:30 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpulsedsp amd64 1:11.1-1ubuntu7.5
Could not resolve 'mirror.nforce.com'
Err:31 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpulse-mainloop-glib0 amd64 1:11.1-1ubuntu7.5
Could not resolve 'mirror.nforce.com'
Err:32 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main i386 libpulse0 i386 1:11.1-1ubuntu7.5
Could not resolve 'mirror.nforce.com'
Err:33 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpulse0 amd64 1:11.1-1ubuntu7.5
Could not resolve 'mirror.nforce.com'
Err:13 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libjson-glib-1.0-common all 1.4.2-3ubuntu0.18.04.1
Could not resolve 'mirror.nforce.com'
Ign:25 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 git-man all 1:2.17.1-1ubuntu0.7
Ign:25 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 git-man all 1:2.17.1-1ubuntu0.7
Err:25 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 git-man all 1:2.17.1-1ubuntu0.7
Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://mirror.nforce.com/pub/linux/ubun ... .1_all.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://mirror.nforce.com/pub/linux/ubun ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://mirror.nforce.com/pub/linux/ubun ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... .7_all.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://mirror.nforce.com/pub/linux/ubun ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://mirror.nforce.com/pub/linux/ubun ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://mirror.nforce.com/pub/linux/ubun ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://mirror.nforce.com/pub/linux/ubun ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://mirror.nforce.com/pub/linux/ubun ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://mirror.nforce.com/pub/linux/ubun ... 5_i386.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://mirror.nforce.com/pub/linux/ubun ... _amd64.deb Could not resolve 'mirror.nforce.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'security.ubuntu.com'
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/ ... _amd64.deb Could not resolve 'security.ubuntu.com'
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
-- Automatic Upgrade completed
And then, when I ran the service manually, it succeeded:
-- Automatic Upgrade starting Thu 23 Apr 2020 10:34:21 CEST:
Reading package lists...
Building dependency tree...
Reading state information...
Suggested packages:
binutils-doc arj lha lzip lzop ncompress rpm2cpio rzip sharutils unace unalz
unar zoo git-daemon-run | git-daemon-sysvinit git-doc git-el git-email
git-gui gitk gitweb git-cvs git-mediawiki git-svn libwebkit2gtk-4.0-37-gtk2
fonts-dejavu-extra fonts-ipafont-gothic fonts-ipafont-mincho
fonts-wqy-microhei | fonts-wqy-zenhei pavumeter pavucontrol paman paprefs
ubuntu-sounds python2.7-doc binfmt-support python3.6-venv python3.6-doc
Recommended packages:
libatk-wrapper-java-jni fonts-dejavu-extra
The following packages will be upgraded:
binutils binutils-common binutils-x86-64-linux-gnu file-roller
gir1.2-javascriptcoregtk-4.0 gir1.2-json-1.0 gir1.2-webkit2-4.0 git git-man
libbinutils libjavascriptcoregtk-4.0-18 libjson-glib-1.0-0
libjson-glib-1.0-common libpulse-mainloop-glib0 libpulse0 libpulse0:i386
libpulsedsp libpython2.7 libpython2.7-minimal libpython2.7-stdlib
libpython3.6 libpython3.6-minimal libpython3.6-stdlib libwebkit2gtk-4.0-37
openjdk-11-jre openjdk-11-jre-headless pulseaudio
pulseaudio-module-bluetooth pulseaudio-utils python2.7 python2.7-minimal
python3.6 python3.6-minimal
33 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 74,7 MB of archives.
After this operation, 12,3 kB disk space will be freed.
Get:1 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpython3.6 amd64 3.6.9-1~18.04ubuntu1 [1414 kB]
Get:2 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpython3.6-minimal amd64 3.6.9-1~18.04ubuntu1 [533 kB]
Get:3 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpython3.6-stdlib amd64 3.6.9-1~18.04ubuntu1 [1710 kB]
Get:4 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 python3.6-minimal amd64 3.6.9-1~18.04ubuntu1 [1609 kB]
Get:5 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 python3.6 amd64 3.6.9-1~18.04ubuntu1 [203 kB]
Get:6 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpython2.7 amd64 2.7.17-1~18.04ubuntu1 [1053 kB]
Get:7 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 python2.7 amd64 2.7.17-1~18.04ubuntu1 [248 kB]
Get:8 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpython2.7-stdlib amd64 2.7.17-1~18.04ubuntu1 [1915 kB]
Get:9 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 python2.7-minimal amd64 2.7.17-1~18.04ubuntu1 [1294 kB]
Get:10 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpython2.7-minimal amd64 2.7.17-1~18.04ubuntu1 [335 kB]
Get:11 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libjson-glib-1.0-common all 1.4.2-3ubuntu0.18.04.1 [3480 B]
Get:12 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libjson-glib-1.0-0 amd64 1.4.2-3ubuntu0.18.04.1 [58,4 kB]
Get:13 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 binutils-x86-64-linux-gnu amd64 2.30-21ubuntu1~18.04.3 [1839 kB]
Get:14 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 binutils-common amd64 2.30-21ubuntu1~18.04.3 [196 kB]
Get:15 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 binutils amd64 2.30-21ubuntu1~18.04.3 [3388 B]
Get:16 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libbinutils amd64 2.30-21ubuntu1~18.04.3 [488 kB]
Get:17 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 file-roller amd64 3.28.0-1ubuntu1.2 [320 kB]
Get:18 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libwebkit2gtk-4.0-37 amd64 2.28.1-0ubuntu0.18.04.1 [12,3 MB]
Get:19 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libjavascriptcoregtk-4.0-18 amd64 2.28.1-0ubuntu0.18.04.1 [5263 kB]
Get:20 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 gir1.2-webkit2-4.0 amd64 2.28.1-0ubuntu0.18.04.1 [71,3 kB]
Get:21 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 gir1.2-javascriptcoregtk-4.0 amd64 2.28.1-0ubuntu0.18.04.1 [22,0 kB]
Get:22 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 gir1.2-json-1.0 amd64 1.4.2-3ubuntu0.18.04.1 [8056 B]
Get:23 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 git-man all 1:2.17.1-1ubuntu0.7 [804 kB]
Get:24 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 git amd64 1:2.17.1-1ubuntu0.7 [3915 kB]
Get:25 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 pulseaudio-module-bluetooth amd64 1:11.1-1ubuntu7.5 [67,1 kB]
Get:26 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 pulseaudio amd64 1:11.1-1ubuntu7.5 [788 kB]
Get:27 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 pulseaudio-utils amd64 1:11.1-1ubuntu7.5 [64,4 kB]
Get:28 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpulsedsp amd64 1:11.1-1ubuntu7.5 [31,9 kB]
Get:29 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpulse-mainloop-glib0 amd64 1:11.1-1ubuntu7.5 [22,1 kB]
Get:30 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main i386 libpulse0 i386 1:11.1-1ubuntu7.5 [270 kB]
Get:31 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 libpulse0 amd64 1:11.1-1ubuntu7.5 [266 kB]
Get:32 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 openjdk-11-jre amd64 11.0.7+10-2ubuntu2~18.04 [34,5 kB]
Get:33 http://mirror.nforce.com/pub/linux/ubuntu bionic-updates/main amd64 openjdk-11-jre-headless amd64 11.0.7+10-2ubuntu2~18.04 [37,5 MB]
Fetched 74,7 MB in 12s (6027 kB/s)
(Reading database ... 378565 files and directories currently installed.)
Preparing to unpack .../libpython3.6_3.6.9-1~18.04ubuntu1_amd64.deb ...
Unpacking libpython3.6:amd64 (3.6.9-1~18.04ubuntu1) over (3.6.9-1~18.04) ...
Preparing to unpack .../libpython3.6-minimal_3.6.9-1~18.04ubuntu1_amd64.deb ...
Unpacking libpython3.6-minimal:amd64 (3.6.9-1~18.04ubuntu1) over (3.6.9-1~18.04) ...
Setting up libpython3.6-minimal:amd64 (3.6.9-1~18.04ubuntu1) ...
(Reading database ... 378565 files and directories currently installed.)
Preparing to unpack .../libpython3.6-stdlib_3.6.9-1~18.04ubuntu1_amd64.deb ...
Unpacking libpython3.6-stdlib:amd64 (3.6.9-1~18.04ubuntu1) over (3.6.9-1~18.04) ...
Setting up libpython3.6-stdlib:amd64 (3.6.9-1~18.04ubuntu1) ...
(Reading database ... 378565 files and directories currently installed.)
Preparing to unpack .../python3.6-minimal_3.6.9-1~18.04ubuntu1_amd64.deb ...
Unpacking python3.6-minimal (3.6.9-1~18.04ubuntu1) over (3.6.9-1~18.04) ...
Setting up python3.6-minimal (3.6.9-1~18.04ubuntu1) ...
(Reading database ... 378565 files and directories currently installed.)
Preparing to unpack .../python3.6_3.6.9-1~18.04ubuntu1_amd64.deb ...
Unpacking python3.6 (3.6.9-1~18.04ubuntu1) over (3.6.9-1~18.04) ...
Setting up python3.6 (3.6.9-1~18.04ubuntu1) ...
(Reading database ... 378565 files and directories currently installed.)
Preparing to unpack .../0-libpython2.7_2.7.17-1~18.04ubuntu1_amd64.deb ...
Unpacking libpython2.7:amd64 (2.7.17-1~18.04ubuntu1) over (2.7.17-1~18.04) ...
Preparing to unpack .../1-python2.7_2.7.17-1~18.04ubuntu1_amd64.deb ...
Unpacking python2.7 (2.7.17-1~18.04ubuntu1) over (2.7.17-1~18.04) ...
Preparing to unpack .../2-libpython2.7-stdlib_2.7.17-1~18.04ubuntu1_amd64.deb ...
Unpacking libpython2.7-stdlib:amd64 (2.7.17-1~18.04ubuntu1) over (2.7.17-1~18.04) ...
Preparing to unpack .../3-python2.7-minimal_2.7.17-1~18.04ubuntu1_amd64.deb ...
Unpacking python2.7-minimal (2.7.17-1~18.04ubuntu1) over (2.7.17-1~18.04) ...
Preparing to unpack .../4-libpython2.7-minimal_2.7.17-1~18.04ubuntu1_amd64.deb ...
Unpacking libpython2.7-minimal:amd64 (2.7.17-1~18.04ubuntu1) over (2.7.17-1~18.04) ...
Preparing to unpack .../5-libjson-glib-1.0-common_1.4.2-3ubuntu0.18.04.1_all.deb ...
Unpacking libjson-glib-1.0-common (1.4.2-3ubuntu0.18.04.1) over (1.4.2-3) ...
Setting up libjson-glib-1.0-common (1.4.2-3ubuntu0.18.04.1) ...
(Reading database ... 378565 files and directories currently installed.)
Preparing to unpack .../libjson-glib-1.0-0_1.4.2-3ubuntu0.18.04.1_amd64.deb ...
Unpacking libjson-glib-1.0-0:amd64 (1.4.2-3ubuntu0.18.04.1) over (1.4.2-3) ...
Setting up libjson-glib-1.0-0:amd64 (1.4.2-3ubuntu0.18.04.1) ...
(Reading database ... 378565 files and directories currently installed.)
Preparing to unpack .../00-binutils-x86-64-linux-gnu_2.30-21ubuntu1~18.04.3_amd64.deb ...
Unpacking binutils-x86-64-linux-gnu (2.30-21ubuntu1~18.04.3) over (2.30-21ubuntu1~18.04.2) ...
Preparing to unpack .../01-binutils-common_2.30-21ubuntu1~18.04.3_amd64.deb ...
Unpacking binutils-common:amd64 (2.30-21ubuntu1~18.04.3) over (2.30-21ubuntu1~18.04.2) ...
Preparing to unpack .../02-binutils_2.30-21ubuntu1~18.04.3_amd64.deb ...
Unpacking binutils (2.30-21ubuntu1~18.04.3) over (2.30-21ubuntu1~18.04.2) ...
Preparing to unpack .../03-libbinutils_2.30-21ubuntu1~18.04.3_amd64.deb ...
Unpacking libbinutils:amd64 (2.30-21ubuntu1~18.04.3) over (2.30-21ubuntu1~18.04.2) ...
Preparing to unpack .../04-file-roller_3.28.0-1ubuntu1.2_amd64.deb ...
Unpacking file-roller (3.28.0-1ubuntu1.2) over (3.28.0-1ubuntu1.1) ...
Preparing to unpack .../05-libwebkit2gtk-4.0-37_2.28.1-0ubuntu0.18.04.1_amd64.deb ...
Unpacking libwebkit2gtk-4.0-37:amd64 (2.28.1-0ubuntu0.18.04.1) over (2.28.0-0ubuntu0.18.04.3) ...
Preparing to unpack .../06-libjavascriptcoregtk-4.0-18_2.28.1-0ubuntu0.18.04.1_amd64.deb ...
Unpacking libjavascriptcoregtk-4.0-18:amd64 (2.28.1-0ubuntu0.18.04.1) over (2.28.0-0ubuntu0.18.04.3) ...
Preparing to unpack .../07-gir1.2-webkit2-4.0_2.28.1-0ubuntu0.18.04.1_amd64.deb ...
Unpacking gir1.2-webkit2-4.0:amd64 (2.28.1-0ubuntu0.18.04.1) over (2.28.0-0ubuntu0.18.04.3) ...
Preparing to unpack .../08-gir1.2-javascriptcoregtk-4.0_2.28.1-0ubuntu0.18.04.1_amd64.deb ...
Unpacking gir1.2-javascriptcoregtk-4.0:amd64 (2.28.1-0ubuntu0.18.04.1) over (2.28.0-0ubuntu0.18.04.3) ...
Preparing to unpack .../09-gir1.2-json-1.0_1.4.2-3ubuntu0.18.04.1_amd64.deb ...
Unpacking gir1.2-json-1.0:amd64 (1.4.2-3ubuntu0.18.04.1) over (1.4.2-3) ...
Preparing to unpack .../10-git-man_1%3a2.17.1-1ubuntu0.7_all.deb ...
Unpacking git-man (1:2.17.1-1ubuntu0.7) over (1:2.17.1-1ubuntu0.6) ...
Preparing to unpack .../11-git_1%3a2.17.1-1ubuntu0.7_amd64.deb ...
Unpacking git (1:2.17.1-1ubuntu0.7) over (1:2.17.1-1ubuntu0.6) ...
Preparing to unpack .../12-pulseaudio-module-bluetooth_1%3a11.1-1ubuntu7.5_amd64.deb ...
Unpacking pulseaudio-module-bluetooth (1:11.1-1ubuntu7.5) over (1:11.1-1ubuntu7.4) ...
Preparing to unpack .../13-pulseaudio_1%3a11.1-1ubuntu7.5_amd64.deb ...
Unpacking pulseaudio (1:11.1-1ubuntu7.5) over (1:11.1-1ubuntu7.4) ...
Preparing to unpack .../14-pulseaudio-utils_1%3a11.1-1ubuntu7.5_amd64.deb ...
Unpacking pulseaudio-utils (1:11.1-1ubuntu7.5) over (1:11.1-1ubuntu7.4) ...
Preparing to unpack .../15-libpulsedsp_1%3a11.1-1ubuntu7.5_amd64.deb ...
Unpacking libpulsedsp:amd64 (1:11.1-1ubuntu7.5) over (1:11.1-1ubuntu7.4) ...
Preparing to unpack .../16-libpulse-mainloop-glib0_1%3a11.1-1ubuntu7.5_amd64.deb ...
Unpacking libpulse-mainloop-glib0:amd64 (1:11.1-1ubuntu7.5) over (1:11.1-1ubuntu7.4) ...
Preparing to unpack .../17-libpulse0_1%3a11.1-1ubuntu7.5_amd64.deb ...
De-configuring libpulse0:i386 (1:11.1-1ubuntu7.4) ...
Unpacking libpulse0:amd64 (1:11.1-1ubuntu7.5) over (1:11.1-1ubuntu7.4) ...
Preparing to unpack .../18-libpulse0_1%3a11.1-1ubuntu7.5_i386.deb ...
Unpacking libpulse0:i386 (1:11.1-1ubuntu7.5) over (1:11.1-1ubuntu7.4) ...
Preparing to unpack .../19-openjdk-11-jre_11.0.7+10-2ubuntu2~18.04_amd64.deb ...
Unpacking openjdk-11-jre:amd64 (11.0.7+10-2ubuntu2~18.04) over (11.0.6+10-1ubuntu1~18.04.1) ...
Preparing to unpack .../20-openjdk-11-jre-headless_11.0.7+10-2ubuntu2~18.04_amd64.deb ...
Unpacking openjdk-11-jre-headless:amd64 (11.0.7+10-2ubuntu2~18.04) over (11.0.6+10-1ubuntu1~18.04.1) ...
Setting up git-man (1:2.17.1-1ubuntu0.7) ...
Setting up openjdk-11-jre-headless:amd64 (11.0.7+10-2ubuntu2~18.04) ...
Installing new version of config file /etc/java-11-openjdk/security/default.policy ...
Installing new version of config file /etc/java-11-openjdk/security/public_suffix_list.dat ...
Setting up libpulse0:amd64 (1:11.1-1ubuntu7.5) ...
Setting up libpulse0:i386 (1:11.1-1ubuntu7.5) ...
Setting up file-roller (3.28.0-1ubuntu1.2) ...
Setting up binutils-common:amd64 (2.30-21ubuntu1~18.04.3) ...
Setting up gir1.2-json-1.0:amd64 (1.4.2-3ubuntu0.18.04.1) ...
Setting up libjavascriptcoregtk-4.0-18:amd64 (2.28.1-0ubuntu0.18.04.1) ...
Setting up libpython2.7-minimal:amd64 (2.7.17-1~18.04ubuntu1) ...
Setting up git (1:2.17.1-1ubuntu0.7) ...
Setting up libpython2.7-stdlib:amd64 (2.7.17-1~18.04ubuntu1) ...
Setting up python2.7-minimal (2.7.17-1~18.04ubuntu1) ...
Setting up libpython3.6:amd64 (3.6.9-1~18.04ubuntu1) ...
Setting up openjdk-11-jre:amd64 (11.0.7+10-2ubuntu2~18.04) ...
Setting up libpulse-mainloop-glib0:amd64 (1:11.1-1ubuntu7.5) ...
Setting up libpulsedsp:amd64 (1:11.1-1ubuntu7.5) ...
Setting up libbinutils:amd64 (2.30-21ubuntu1~18.04.3) ...
Setting up pulseaudio-utils (1:11.1-1ubuntu7.5) ...
Setting up libwebkit2gtk-4.0-37:amd64 (2.28.1-0ubuntu0.18.04.1) ...
Setting up python2.7 (2.7.17-1~18.04ubuntu1) ...
Setting up gir1.2-javascriptcoregtk-4.0:amd64 (2.28.1-0ubuntu0.18.04.1) ...
Setting up libpython2.7:amd64 (2.7.17-1~18.04ubuntu1) ...
Setting up binutils-x86-64-linux-gnu (2.30-21ubuntu1~18.04.3) ...
Setting up pulseaudio (1:11.1-1ubuntu7.5) ...
Installing new version of config file /etc/pulse/default.pa ...
Setting up gir1.2-webkit2-4.0:amd64 (2.28.1-0ubuntu0.18.04.1) ...
Setting up pulseaudio-module-bluetooth (1:11.1-1ubuntu7.5) ...
Setting up binutils (2.30-21ubuntu1~18.04.3) ...
Processing triggers for dbus (1.12.2-1ubuntu1.1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for desktop-file-utils (0.23+linuxmint8) ...
Processing triggers for libglib2.0-0:amd64 (2.56.4-0ubuntu0.18.04.6) ...
Processing triggers for libglib2.0-0:i386 (2.56.4-0ubuntu0.18.04.6) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
-- Automatic Upgrade completed
It looks like the first time around, it is failing to resolve all the domain names. So perhaps it's running too early and isn't waiting for the network to connect?
Rua
Level 3
Level 3
Posts: 154
Joined: Sat Sep 17, 2011 11:09 am
Location: Netherlands

Re: Automatic updates aren't being applied

Post by Rua »

A friend suggested I create the file /etc/systemd/system/mintupdate-automation-upgrade.service.d/dependencies.conf and put this in it:

Code: Select all

[Unit]
After=network-online.target
Since then, I've had no more problems, and according to the logs, the updates are being applied and there are no more networking problems. So perhaps this is a bug in Mint?
Post Reply

Return to “Software & Applications”